Quassel IRC - Bug #382

$currentnick evaluates as
11/02/2008 01:55 PM - TerrorBite

in command-on-connect

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

The connect commands appear to be executing before the nick is known. They should probably be delayed until after that point, but
still before channels are joined.

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 01/13/2009 08:28 PM - EgS

- Status changed from New to Resolved
- Assignee set to EgS

- Target version set to 0.4.0

- % Done changed from 0 to 100

- Version set to 0.3.1+

Fixed in current git.
http://git.quassel-irc.org/?p=quassel.git;a=commit;h=a5dfcc8ecf8b81025d24b3c5¢c816169e3e030easd
